
resource "nomad_job" "deluge" {
  jobspec = file("deluge.nomad.hcl")
}

resource "nomad_variable" "deluge" {
  path = "nomad/jobs/deluge"
  items = {
    pia_user = data.sops_file.secrets.data["pia.user"]
    pia_pass = data.sops_file.secrets.data["pia.pass"]
  }
}

module "appdata_deluge" {
  source = "./modules/appdata"
  name   = "deluge"
}

module "unraid_smb_deluge_media" {
  source = "./modules/unraid_smb"
  name   = "deluge"
  share  = "media"
  subDir = "downloads"
}
